#! /bin/bash
########################################################################
# livarp-xs-maker
# turn livarp into livarp-xs in one script
# launched by ~/bin/remove-sessions livarp-xs-maker
########################################################################
source ~/.bashrc

# this script is not available in live-session
# ---------------------------------------------------------------------#
if [ -d /home/human ]; then
    echo "ce script n'est pas accessible en session live" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi
# are you root ?
# ---------------------------------------------------------------------#
if [ "`whoami`" != "root" ]; then
    echo "ce script demande les droits administrateurs - lancez-le en root" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi
# run only once
# ---------------------------------------------------------------------#
if [ -e /usr/share/livarp/livarp-xs ]; then
    echo "ce script ne se lance qu'une fois... :)" | dzen2 -x 0 -y 0 -bg 'orange' -fg 'white' -p 5 &
    exit
fi

# livarp-xs-maker description & confirmation ###########################
# ---------------------------------------------------------------------#
clear
echo ""
echo -e "${cyan}>>>  Bienvenue sur livarp-xs-maker $USER  <<<"
echo -e "-------------------------------------------$NC"
echo -e "${red}ATTENTION"
echo -e "ce script va effacer le sélecteur de session"
echo -e "ainsi que tous les fichiers et exécutables des"
echo -e "sessions NONsélectionnées$NC"
echo -e ""
echo -e "il va aussi sauvegarder et remplacer votre ~/.xinitrc"
echo -e "pour lancer la session selectionnée en mode automatique."
echo -e ""
echo -e "assurez-vous d'être connecté dans la sesssion que vous désirez garder"
echo -e "ou votre session graphique va planter."
echo -e ""
echo -e "vous pouvez éliminer les sessions une par une depuis"
echo -e "votre dossier /home/$USER/bin/remove-sessions/"
echo -e ""
echo -n "on continue le script ? [O|n]"
read answer
if [ "$answer" == "n" ] || [ "$answer" == "N" ]; then
    echo ""
    echo "script avorté sur demande de l'utilisateur.."
    sleep 3s && exit
fi

# session selection ####################################################
# ---------------------------------------------------------------------#
clear
echo -e ""
echo -e "${cyan}sélection de la session à préserver"
echo -e "----------------------------------$NC"
echo -e "note: dwm & dwm_reloaded sont liés"
echo -e ""
echo -e "entrer le NOM de la session que vous désirez GARDER."
echo -e "toutes les autres sessions seront effacées"
echo -e "une confirmation vous sera demandée pour chaque session"
echo -e ""
echo -e "format de la session :"
echo -e "vtwm - dwm - ratpoison - wmfs - spectrwm"
echo -e "evilwm - openbox - pekwm - awesome - fluxbox"
echo -e ""
echo -n "entrer UN nom de session ici :"
read sselect

# set scripts dir & username
# --------------------------
DIR="/usr/share/livarp/rmss"
INITDIR="/usr/share/livarp/rmss/xinitrc"
HUMAN=`w -h | tail -n1 | awk '{print $1}'`

# remove unselected sessions ###########################################
# ---------------------------------------------------------------------#
if [ -n "${sselect}" ]; then
    rm /usr/local/bin/dmenu-start.sh
    case $sselect in
        vtwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_vtwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-vtwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        dwm)
            $DIR/remove_vtwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_dwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-dwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        ratpoison)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_ratpoison $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-ratpoison :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        wmfs)
            $DIR/remove_dwm.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_wmfs $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-wmfs :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        spectrwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_spectrwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-spectrwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        evilwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_evilwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-evilwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        openbox)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_vtwm.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_openbox $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-openbox :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        pekwm)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_pekwm $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-pekwm :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        awesome)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_evil.sh
            $DIR/remove_fluxbox.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_awesome $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-awesome :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
        fluxbox)
            $DIR/remove_dwm.sh
            $DIR/remove_wmfs.sh
            $DIR/remove_ratpoison.sh
            $DIR/remove_awesome.sh
            $DIR/remove_evil.sh
            $DIR/remove_vtwm.sh
            $DIR/remove_pekwm.sh
            $DIR/remove_spectrwm.sh
            $DIR/remove_openbox.sh
            mv $HOME/.xinitrc $HOME/.xinitrc.bak
            cp $INITDIR/xinitrc_fluxbox $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc
            chown $HUMAN:$HUMAN $HOME/.xinitrc.bak
            touch /usr/share/livarp/livarp-xs
            echo -e "file auto-generated by livarp-xs-maker script. don't remove." > /usr/share/livarp/livarp-xs
            echo "fin du script -- bienvenue sur livarp-xs-fluxbox :)" | dzen2 -x 0 -y 0 -bg 'blue' -fg 'white' -p 5 &
            echo -e "${cyan} fin du script$NC"
            sleep 3s
            ;;
    esac
fi

exit 0
# eof ##################################################################
